# Initiate Verification

This enables you to initiate the user's KYC/KYB process. Basic information for the individual or business user must be provided before initiating user's KYC/KYB. If additional information is added or any information is updated on the user, KYC/KYB should be re-initiated using this API.

#### `POST /users/{{user_id}}/kyc`

{% tabs %}
{% tab title="Request Sample" %}

```
curl --location -g --request POST '{{url}}/users/{{user_id}}/kyc' \
--header 'X-Client-Id: {{client_id}}' \
--header 'X-Client-Secret: {{client_secret}}' \
--header 'Content-Type: application/json'
```

{% endtab %}

{% tab title="Response Sample" %}

```
{
   "success": true,
   "status": "INITIATED"
}
```

{% endtab %}
{% endtabs %}

The status of the user changes from "UNVERIFIED" at the beginning to "IN PROGRESS" to "VERIFIED" eventually if the KYC/KYB process is complete and successful. Details on the statuses can be found [here](/api-references/user/registration/user-verification-status.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://paas.docs.machnetinc.com/api-references/user/initiate-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
